Skip to content
View as Markdown

PUT Patch Recurring Campaign Email Status​

PUT
/recurring-campaigns/{campaign_id}/emails/{email_id}

Update the status of a specific child email in a recurring campaign. Only allows status transitions between draft and cancelled. The email's current status must be either draft or cancelled, and the target status must also be one of those two values. Requires FluentCampaign Pro.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

campaign_id*

The parent recurring campaign ID.

Type
integer
Required
email_id*

The child email ID.

Type
integer
Required

Request Body​

application/json
JSON
{
"status": "string"
}

Responses​

Email status changed successfully.

application/json
JSON
{
"message": "string"
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI